/********************************************************************
 *  Cg[T hCo֐ Rev 2.0
 *  SCPU
 ********************************************************************/

#ifndef _INC_DRIVER_H__
#define _INC_DRIVER_H__

/********************************************************************
 * name : cpu_init
 * arg  : void
 * ret  : void
 *
 * CPU , Ȃǂ̏s
 *******************************************************************/
void cpu_init(void);

/********************************************************************
 * name : pin_init
 * arg  : void
 * ret  : void
 *
 * P20~23, P30~35̃sg悤s
 *******************************************************************/
void pin_init(void);

/********************************************************************
 * name : pNN_set
 * arg  : pin status(PIN_HIGH, PIN_LOW)
 * ret  : void
 *
 * Ήs̏Ԃɏ]đ삷DPIN_HIGH ȂnCxCPIN_LOW
 * Ȃ烍ExD
 *******************************************************************/
void p20_set(int arg_status);
void p21_set(int arg_status);
void p22_set(int arg_status);
void p23_set(int arg_status);
void p30_set(int arg_status);
void p31_set(int arg_status);
void p32_set(int arg_status);
void p33_set(int arg_status);
void p34_set(int arg_status);
void p35_set(int arg_status);
#define PIN_HIGH	1
#define PIN_LOW		0

/********************************************************************
 * name : pwm_init
 * arg  : void
 * ret  : void
 *
 * PWM1~3  PWMo͂ł悤sD̊֐sPWMo
 * Ȃ悤ɂ
 *******************************************************************/
void pwm_init(void);

/*********************************************************************
 * name : pwm_start
 * arg  : PWM No.(1~3)
 * ret  : void
 *
 * w肳ꂽԍ PWM o͂悤ɂD
 ********************************************************************/
void pwm_start(int arg_no);

/*********************************************************************
 * name : pwm_stop
 * arg  : PWM No.(1~3)
 * ret  : void
 *
 * w肳ꂽԍ PWM o͂~悤ɂD
 ********************************************************************/
void pwm_stop(int arg_no);

/*********************************************************************
 * name : pwmN_set_ratio
 * arg  : duty ratio(0~100)
 * ret  : void
 *
 * Ήԍ PWMf[eBݒ肷D炩̕sl(100
 * ݒ肷PWM~łȂȂ)ꍇ͓œK؂ȒlɕϊđΉ
 * D
 ********************************************************************/
void pwm1_set_ratio(int arg_percent);
void pwm2_set_ratio(int arg_percent);
void pwm3_set_ratio(int arg_percent);

/*********************************************************************
 * name : ad_init
 * arg  : void
 * ret  : void
 *
 * AD00~07 ̓dADϊł悤sD
 ********************************************************************/
void ad_init(void);

/*********************************************************************
 * name : adNN_get
 * arg  : void
 * ret  : converted value percentage(int)
 *
 * Ήԍ A/DϊsDgpA/DϊɂĕϊrbgႤ
 * ̂ŁCϊtXP[ɑ΂SԂD
 ********************************************************************/
int ad00_get(void);
int ad01_get(void);
int ad02_get(void);
int ad03_get(void);
int ad04_get(void);
int ad05_get(void);
int ad06_get(void);
int ad07_get(void);

/*********************************************************************
 * name : timer_init
 * arg  : void
 * ret  : void
 *
 * ^C}g悤ɏD^C} 1~bł悤ɐݒ肷D
 * ̊֐śC^C}~ԂɂD
 ********************************************************************/
void timer_init(void);

/*********************************************************************
 * name : timer_start
 * arg  : void
 * ret  : void
 *
 * ^C}𓮍삳D
 ********************************************************************/
void timer_start(void);

/*********************************************************************
 * name : timer_stop
 * arg  : void
 * ret  : void
 *
 * ^C}~CJE^ZbgsDJE^̃ZbgłȂꍇ
 * ͂ȂĂǂD
 ********************************************************************/
void timer_stop(void);

/*********************************************************************
 * name : timer_check_match
 * arg  : void
 * ret  : timer match flag(TIMER_CHECK_MATCH_TRUE, TIMER_CHECK_MATCH_FALSE)
 *
 * ^C}𓮍삳ĂC͑Õ^C}}b` 1~b o
 * ۂԂDC^C}}b`(1~bo)Ă玟
 * ^C}}b`oł悤}b`tOȂǂNAĂD
 ********************************************************************/
int timer_check_match(void);
#define TIMER_CHECK_MATCH_TRUE	1
#define TIMER_CHECK_MATCH_FALSE	0

#endif /* _INC_DRIVER_H__ */
